Package org.jmock.builder

# Interface NameMatchBuilder

All Superinterfaces:
  `ArgumentsMatchBuilder`, `IdentityBuilder`, `MatchBuilder`, `StubBuilder`

All Known Implementing Classes:
  `InvocationMockerBuilder`

public interface NameMatchBuilder extends ArgumentsMatchBuilder

Since:
  1.0

## Method Summary

Modifier and Type
Method
Description
`ArgumentsMatchBuilder`
`method(String name)`
`ArgumentsMatchBuilder`
`method(Constraint nameConstraint)`

### Methods inherited from interface org.jmock.builder.ArgumentsMatchBuilder

`with, with, with, with, with, withAnyArguments, withNoArguments`

### Methods inherited from interface org.jmock.builder.IdentityBuilder

`id`

### Methods inherited from interface org.jmock.builder.MatchBuilder

`after, after, match`

### Methods inherited from interface org.jmock.builder.StubBuilder

`isVoid, will`

## Method Details

### method

ArgumentsMatchBuilder method(String name)

### method

ArgumentsMatchBuilder method(Constraint nameConstraint)